SuSE 11.2 / 11.3 Security Update : puppet (SAT Patch Numbers 8811 / 8812)

Medium Nessus Plugin ID 72200


The remote SuSE 11 host is missing one or more security updates.


This update for puppet fixes a remote code execution vulnerability in the 'resource_type' service. (CVE-2013-4761)

Additionally, the update prevents puppet from executing initialization scripts that could trigger a system reboot when handling 'puppet resource service' calls.


Apply SAT patch number 8811 / 8812 as appropriate.

See Also

Plugin Details

Severity: Medium

ID: 72200

File Name: suse_11_puppet-140120.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/01/29

Modified: 2014/01/29

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.1

Vector: CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:puppet, p-cpe:/a:novell:suse_linux:11:puppet-server, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2014/01/20

Reference Information

CVE: CVE-2013-4761